Loading...
Searching...
No Matches
util.cpp File Reference

Go to the source code of this file.

## Namespaces

namespace | ftxui

## Functions

Element | nothing (Element element)
| A decoration doing absolutely nothing.
Decorator | operator| (Decorator a, Decorator b)
| Compose two decorator into one.
Elements | operator| (Elements elements, Decorator decorator)
| From a set of element, apply a decorator to every elements.
Element | operator| (Element element, Decorator decorator)
| From an element, apply a decorator.
Element & | operator|= (Element &e, Decorator d)
| Apply a decorator to an element.
Element | emptyElement ()